diff --git a/build.gradle.kts b/build.gradle.kts
index 1cad59d3a..d0f6e8c30 100644
--- a/build.gradle.kts
+++ b/build.gradle.kts
@@ -10,7 +10,7 @@ plugins {
 }
 
 group = "net.minecraft"
-version = "7.1"
+version = "7.2"
 val buildChannel = "PRERELEASE"
 
 run {
diff --git a/src/common/resources/lang/en_US/gui.lang b/src/common/resources/lang/en_US/gui.lang
index 175eb1050..f1e4cc427 100644
--- a/src/common/resources/lang/en_US/gui.lang
+++ b/src/common/resources/lang/en_US/gui.lang
@@ -155,8 +155,8 @@ gui.main_menu.button.texture_packs=Texture Packs
 gui.main_menu.button.options=Options...
 gui.main_menu.button.quit_game=Quit Game
 gui.main_menu.button.discord=Discord
-gui.main_menu.button.minecraft_forum=Minecraft Forum
 gui.main_menu.button.youtube=YouTube
+gui.main_menu.button.website=Website
 
 gui.out_of_memory.label.title=Out of memory!
 gui.out_of_memory.label.body.1=Minecraft has run out of memory.
diff --git a/src/main/java/net/minecraft/client/gui/GuiMainMenu.java b/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
index 472d5c789..abd878a20 100644
--- a/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
+++ b/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
@@ -165,8 +165,8 @@ public class GuiMainMenu extends GuiScreen
             controlList.add(new GuiButton(4, width / 2 + 2, i + 72 + 12, 98, 20, i18n.translateKey("gui.main_menu.button.quit_game")));
         }
         int d = 1; // Move away from the edge of the screen to prevent unintentional activation because the cursor defaults to 0, 0
-        controlList.add(new GuiClickableLabel(5, d, height - 36 - d, i18n.translateKey("gui.main_menu.button.discord"), 0x5865F2));
-        controlList.add(new GuiClickableLabel(6, d, height - 24 - d, i18n.translateKey("gui.main_menu.button.minecraft_forum"), 0x63A121));
+        controlList.add(new GuiClickableLabel(5, d, height - 36 - d, i18n.translateKey("gui.main_menu.button.website"), 0x5AA938));
+        controlList.add(new GuiClickableLabel(6, d, height - 24 - d, i18n.translateKey("gui.main_menu.button.discord"), 0x5865F2));
         controlList.add(new GuiClickableLabel(7, d, height - 12 - d, i18n.translateKey("gui.main_menu.button.youtube"), 0xFF0000));
         controlList.add(new GuiTexturedButton(8, "/assets/minecraft/textures/gui/gui.png", width / 2 + 104, i + 72 + 12, 0, 86, 20, 20));
         GuiButton debugButton = new GuiButton(9, width - 8, height - 8, 8, 8, "");
@@ -216,21 +216,21 @@ public class GuiMainMenu extends GuiScreen
         Desktop desktop = Desktop.isDesktopSupported() ? Desktop.getDesktop() : null;
         if (desktop != null && desktop.isSupported(Desktop.Action.BROWSE))
         {
-            if (button.id == 5) // Discord
+            if (button.id == 5) // Website
             {
                 try
                 {
-                    desktop.browse(URI.create("https://betterthanadventure.net/discord"));
+                    desktop.browse(URI.create("https://betterthanadventure.net"));
                 } catch (Exception e)
                 {
                     e.printStackTrace();
                 }
             }
-            if (button.id == 6) // Minecraft Forum
+            if (button.id == 6) // Discord
             {
                 try
                 {
-                    desktop.browse(URI.create("https://www.minecraftforum.net/forums/mapping-and-modding-java-edition/minecraft-mods/3106066-better-than-adventure-for-beta-1-7-3-timely"));
+                    desktop.browse(URI.create("https://betterthanadventure.net/discord"));
                 } catch (Exception e)
                 {
                     e.printStackTrace();
@@ -245,7 +245,6 @@ public class GuiMainMenu extends GuiScreen
                 {
                     e.printStackTrace();
                 }
-
             }
         }
     }
diff --git a/src/main/java/net/minecraft/client/render/FogManager.java b/src/main/java/net/minecraft/client/render/FogManager.java
index cbec689bb..20408bc83 100644
--- a/src/main/java/net/minecraft/client/render/FogManager.java
+++ b/src/main/java/net/minecraft/client/render/FogManager.java
@@ -39,10 +39,6 @@ public class FogManager {
         this.mc = mc;
     }
 
-    public void setFogColor(float r, float g, float b, float a) {
-        glFog(GL_FOG_COLOR, buffer(r, g, b, a));
-    }
-
     public void updateBrightness() {
         fogBrightnessOld = fogBrightness;
 
@@ -121,7 +117,7 @@ public class FogManager {
         float gSky = (float)skyColor.yCoord;
         float bSky = (float)skyColor.zCoord;
 
-        Vec3d worldColor = world.getFogColor(partialTick);
+        Vec3d worldColor = world.getFogColor(mc.thePlayer.x, mc.thePlayer.y, mc.thePlayer.z, partialTick);
         fogRed = (float)worldColor.xCoord;
         fogGreen = (float)worldColor.yCoord;
         fogBlue = (float)worldColor.zCoord;
diff --git a/src/main/java/net/minecraft/core/world/World.java b/src/main/java/net/minecraft/core/world/World.java
index 36ed8c103..f76962f25 100644
--- a/src/main/java/net/minecraft/core/world/World.java
+++ b/src/main/java/net/minecraft/core/world/World.java
@@ -1670,10 +1670,10 @@ public class World implements WorldSource {
         return Vec3d.createVector(f3, f4, f5);
     }
 
-    public Vec3d getFogColor(float partialTick)
+    public Vec3d getFogColor(double x, double y, double z, float partialTick)
     {
-        float f1 = getCelestialAngle(partialTick);
-        return worldType.getFogColor(f1, partialTick);
+        float celestialAngle = getCelestialAngle(partialTick);
+        return worldType.getFogColor(this, x, y, z, celestialAngle, partialTick);
     }
 
     public int findTopSolidBlock(int x, int z)
diff --git a/src/main/java/net/minecraft/core/world/type/WorldType.java b/src/main/java/net/minecraft/core/world/type/WorldType.java
index f7c43bfea..ac6854457 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldType.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldType.java
@@ -190,7 +190,7 @@ public abstract class WorldType
 
     public abstract int getSkyDarken(World world, long tick, float partialTick);
 
-    public abstract Vec3d getFogColor(float timeOfDay, float partialTick);
+    public abstract Vec3d getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick);
 
     public abstract boolean mayRespawn();
 
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java b/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
index c1e856fdd..9685e4b79 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
@@ -1,20 +1,16 @@
 package net.minecraft.core.world.type;
 
 import net.minecraft.core.Global;
-import net.minecraft.core.block.Block;
 import net.minecraft.core.util.phys.Vec3d;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.biome.provider.BiomeProviderSingleBiome;
 import net.minecraft.core.world.config.season.SeasonConfig;
-import net.minecraft.core.world.config.season.SeasonConfigBuilder;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.debug.ChunkGeneratorDebug;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.weather.Weather;
-import net.minecraft.core.world.wind.WindManager;
 import net.minecraft.core.world.wind.WindManagerGeneric;
 
 import java.util.Arrays;
@@ -124,7 +120,7 @@ public class WorldTypeDebug
     }
 
     @Override
-    public Vec3d getFogColor(float timeOfDay, float partialTick)
+    public Vec3d getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick)
     {
         return Vec3d.createVector(1.0, 1.0, 1.0);
     }
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java b/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
index 2a9e8355d..9405e52a0 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
@@ -156,9 +156,9 @@ public class WorldTypeEmpty
     }
 
     @Override
-    public Vec3d getFogColor(float timeOfDay, float partialTick)
+    public Vec3d getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick)
     {
-        float f2 = MathHelper.cos(timeOfDay * 3.141593F * 2.0F) * 2.0F + 0.5F;
+        float f2 = MathHelper.cos(celestialAngle * 3.141593F * 2.0F) * 2.0F + 0.5F;
         if(f2 < 0.0F)
         {
             f2 = 0.0F;
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeNether.java b/src/main/java/net/minecraft/core/world/type/WorldTypeNether.java
index 3e0c203c2..1417e4aa6 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeNether.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeNether.java
@@ -4,7 +4,6 @@ import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.phys.Vec3d;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.biome.provider.BiomeProviderSingleBiome;
@@ -102,7 +101,7 @@ public abstract class WorldTypeNether
     }
 
     @Override
-    public Vec3d getFogColor(float timeOfDay, float partialTick)
+    public Vec3d getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick)
     {
         return Vec3d.createVector(0.0, 0.0, 0.0);
     }
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java b/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java
index 5d6b75c56..cd33c55da 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeOverworld.java
@@ -5,8 +5,6 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3d;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.biome.provider.BiomeProvider;
-import net.minecraft.core.world.biome.provider.BiomeProviderOverworld;
 import net.minecraft.core.world.config.season.SeasonConfig;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.ChunkGeneratorOverworld;
@@ -131,23 +129,23 @@ public abstract class WorldTypeOverworld
     }
 
     @Override
-    public Vec3d getFogColor(float timeOfDay, float partialTick)
+    public Vec3d getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick)
     {
-        float f2 = MathHelper.cos(timeOfDay * 3.141593F * 2.0F) * 2.0F + 0.5F;
-        if(f2 < 0.0F)
+        float dayProgress = MathHelper.cos(celestialAngle * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
+        if(dayProgress < 0.0F)
         {
-            f2 = 0.0F;
+            dayProgress = 0.0F;
         }
-        if(f2 > 1.0F)
+        if(dayProgress > 1.0F)
         {
-            f2 = 1.0F;
+            dayProgress = 1.0F;
         }
         float r = 0.7529412F;
         float g = 0.8470588F;
-        float b = 1.0F;
-        r *= f2 * 0.94F + 0.06F;
-        g *= f2 * 0.94F + 0.06F;
-        b *= f2 * 0.91F + 0.09F;
+        float b = 1.0f;
+        r *= dayProgress * 0.94F + 0.06F;
+        g *= dayProgress * 0.94F + 0.06F;
+        b *= dayProgress * 0.91F + 0.09F;
         return Vec3d.createVector(r, g, b);
     }
 
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeParadise.java b/src/main/java/net/minecraft/core/world/type/WorldTypeParadise.java
index 5472b8653..02892ea35 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeParadise.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeParadise.java
@@ -5,7 +5,6 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3d;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.biome.provider.BiomeProviderSingleBiome;
@@ -148,10 +147,10 @@ public abstract class WorldTypeParadise
     }
 
     @Override
-    public Vec3d getFogColor(float timeOfDay, float partialTick)
+    public Vec3d getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick)
     {
         int i = 0x8080a0;
-        float f2 = MathHelper.cos(timeOfDay * 3.141593F * 2.0F) * 2.0F + 0.5F;
+        float f2 = MathHelper.cos(celestialAngle * 3.141593F * 2.0F) * 2.0F + 0.5F;
         if(f2 < 0.0F)
         {
             f2 = 0.0F;
diff --git a/src/main/java/net/minecraft/server/net/PlayerList.java b/src/main/java/net/minecraft/server/net/PlayerList.java
index c4844558e..ad272edd0 100644
--- a/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -284,7 +284,7 @@ public class PlayerList
         for (int i = 0; i < playerEntities.size(); i++)
         {
             EntityPlayerMP entityplayermp = playerEntities.get(i);
-            entityplayermp.playerNetServerHandler.sendPacket(new Packet3Chat(message, 1, AES.keyChain.get(entityplayermp.username)));
+            entityplayermp.playerNetServerHandler.sendPacket(new Packet3Chat(message, 0, AES.keyChain.get(entityplayermp.username)));
         }
 
     }
